import { getLeaderboard } from "@/src/services/leaderboardService";
import { RequestHandler } from "express";

export const leaderboardController: RequestHandler = async (req, res) => {
    const payload = JSON.parse(String(req.body)) as ILeaderboardRequest;
    res.json({
        results: await getLeaderboard(payload.field, payload.before, payload.after)
    });
};

interface ILeaderboardRequest {
    field: string;
    before: number;
    after: number;
}
